.loading {
  height: 24px;
}

.loading img {
  height: 30px;
}


.message {
   background-color: #ffffff;
   border-radius: 10px;
   margin-bottom: 10px;
   padding: 10px;
}

.user-message, .bot-message {
   font-family: Helvetica, sans-serif;
   margin-top: 40px;
   margin-bottom: 40px;
   font-size: 16px;
   position: relative;
   line-height: 1.5;
}

.user-message {
   background-color: #282828;
   color: #ffffff;
}

.user-message:before {
   content: "Me:";
   position: absolute;
   top: -25px;
   left: 5px;
   font-family: Helvetica, sans-serif;
   font-size: 16px;
   color: #505050;
}

.bot-message {
   background-color: #282828;
   color: #ffffff;
}

.bot-message:before {
   content: "Intellbot:";
   position: absolute;
   top: -25px;
   left: 5px;
   font-family: Helvetica, sans-serif;
   font-size: 16px;
   color: #505050;
}

.bot-message p {
    margin-block-start: 0;
    margin-block-end: 0;
    margin-inline-start: 0;
    margin-inline-end: 0;
}

.bot-message.error {
   background-color: #ffffff;
   color: #f54d4d;
}


 #chat-widget {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 340px;
    height: 720px;
    border-radius: 30px;
    background-color: rgba(255, 255, 255, 0);
    display: flex;
    flex-direction: column;
    transition: transform 0.5s cubic-bezier(0.48, 0.32, 0.22, 1.27), opacity 0.3s ease, width 0.5s ease-in-out, height 0.5s ease-in-out, bottom 0.5s ease-in-out, right 0.5s ease-in-out, border-radius 0.5s ease-in-out;
    transform: scale(1);
    opacity: 1;
    max-height: 90vh;
    z-index: 29999;
}

  #chat-widget.hidden {
  transform: scale(0.7);
  opacity: 0;
  visibility: hidden;
}


#chat-widget.expanded {
  width: calc(100vw - 600px);
  height: calc(100vh - 140px);
  bottom: 70px;
  right: 300px;
  border-radius: 0px;
}

@media (max-width: 1300px) {
  #chat-widget.expanded {
    width: calc(100% - 20%);
    transform: translateX(-5%);
    right: 10%;
  }
}

  #chat-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
  background-color: #282828;
  background-size: cover;
  height: 40px;
  color: #fff;
  border-top-left-radius: 30px;
  border-top-right-radius: 30px;
  backdrop-filter: blur(20px);
}

  #chat-header img {
  height: 17px;
  cursor: pointer;
}

#chat-header span {
  font-size: 16px;
  font-weight: bold;
  font-family: Helvetica;
  color: #ffffff;
}

#hide-button img {
  cursor: pointer;
  height: 15px;
  width: 15px;
  padding-top: 5px;
}

#show-button {
    width: 80px;
    height: 80px;
    position: fixed;
    bottom: 30px;
    right: 20px;
    display: none;
    cursor: pointer;
    transition: transform 0.3s;
    z-index: 5000;
}

#show-button svg {
    width: 100%;
    height: 100%;
    transition: transform 0.3s;
}

.svg-path-logo {
    fill: #000000;
}

.svg-path-icon {
    fill: #FFFFFF;
}

#show-button:hover {
  transform: scale(1.1);
}

#show-button svg:hover {
  transform: scale(1.1);
}


  #chat-body {
    flex: 1;
    padding: 10px;
    overflow-y: scroll;
    border-width: 1px;
    border-color: #282828;
    border-style: solid;
    margin-bottom: 10px;
    box-shadow: 0 4px 10px -2px rgba(0, 0, 0, 0.1);
    background-color: rgba(40, 40, 40, 1);
    border-bottom-left-radius: 30px;
    border-bottom-right-radius: 30px;
    backdrop-filter: blur(20px);
}

  #chat-input {
    padding: 10px;
    display: flex;
    border-width: 1px;
    border-color: #282828;
    border-style: solid;
    border-radius: 30px;
    box-shadow: 0 4px 10px -2px rgba(0, 0, 0, 0.1);
    background-color: #282828;
    font-size: 16px;
    color: #000000;
    backdrop-filter: blur(20px);
}

  #chat-form {
    display: flex;
    width: 100%;
}

#chat-input input {
    flex: 1;
    padding: 10px;
    border: none;
    border-radius: 20px;
    font-size: 16px;
    margin-right: 10px;
    background-color: #282828;
    color: #ffffff;
}

#chat-input button {
    padding: 10px;
    border: none;
    background-color: #282828;
    width: 40px;
    color: #fff;
    border-radius: 20px;
    cursor: pointer;
}

.blur-background {
    filter: blur(5px);
    transition: filter 0.3s ease;
}

table {
  width: 100%;
  border-collapse: collapse;
}
th, td {
  border: 1px solid #ddd;
  padding: 8px;
}
th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #f4f4f4;
}

#widget-overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ffffff;
    z-index: 999;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s;
}
#chat-widget.expanded + #widget-overlay {
    opacity: 1;
    pointer-events: auto;
}


/* #####===== Стили для элементов внутри виджета =====##### */

.bot-message img {
    max-height: 600px;
    max-width: 100%;
    border-radius: 10px;
    display: inline-block;
    margin-left: auto;
    margin-right: auto;
}

.bot-message table {
  border-collapse: collapse;
  width: 100%;
}

.bot-message table th, .bot-message table td {
  border: 1px solid #a6a6a6;
  text-align: left;
  padding: 10px;
}

.bot-message table th {
  background-color: #f0f0f0;
}

.bot-message ul {
  list-style-position: inside;
}

.bot-message p {
  margin: 0;
}

.extra-info img {
    max-width: 100%;
    height: auto;
    object-fit: contain;
}

.extra-info {
    overflow: auto;
}

.gantt .tick text {
    display: none;
}


.transition-fade {
  transition: 0.4s;
  opacity: 1;
}

html.is-animating .transition-fade {
  opacity: 0;
}

/* Стили для форм */
.item {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  margin-bottom: 10px;
}

.inputField {
  display: flex;
  flex-direction: column;
  padding-left: 10px;
}

.inputField:not(:last-child) {
  margin-right: 20px;
}

#itemsContainer {
  display: flex;
  flex-direction: column;
}

label {
  margin-bottom: 5px;
}

#myForm button {
  margin-top: 0px;
  border: none;
  border-radius: 10px;
  margin-bottom: 30px;
  background-color: black;
  color: white;
  cursor: pointer;
  padding: 10px 20px;
  margin-left: 10px;
  font-size: 16px;
}

/* Стили для отображения Ютуб видео */
.responsive-video-wrapper {
    position: relative;
    padding-bottom: 56.25%;
    height: 0;
    overflow: hidden;
    max-width: 100%;
    margin-bottom: 30px;
    border-radius: 20px;
    overflow: hidden;
}

.responsive-video-wrapper iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 20px;
}

input:focus {
    outline: none;
}

.loading-container {
    display: flex;
}

@keyframes gradientAnimation {
    0% { background-position: 0% 50%; }
    50% { background-position: 100% 50%; }
    100% { background-position: 0% 50%; }
}

.progress-notification {
    display: inline-block;
    background: linear-gradient(270deg, #92F492, #616EEC, #D167CA, #FCE76B);
    background-size: 800% 800%;
    animation: gradientAnimation 8s ease infinite;
    border-radius: 50px;
    padding-left: 10px;
    color: white;
    font-size: 11px;
    width: 240px;
    height: 25px;
    line-height: 25px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    margin-left: 10px;
}

.powered-by {
    font-family: 'Roboto', sans-serif;
    font-size: 12px;
    color: grey;
    align-self: center;
    margin-top: 5px;
}

.intellbot-link {
    color: grey;
    text-decoration: underline;
}

.component {
    display: flex;
}

.question-button {
    background-color: transparent;
    color: #a0a0a0;
    border: 1px solid #a0a0a0;
    border-radius: 10px;
    padding: 10px 15px;
    cursor: pointer;
    display: inline-block;
    text-align: left;
    margin-right: 8px;
    margin-bottom: 8px;
    transition: color 0.2s, border-color 0.2s, background-color 0.2s;
}

.question-button:hover {
    color: black;
    border-color: black;
    background-color: white;
}

.buttons-container {
    display: flex;
    justify-content: left;
    flex-wrap: wrap;
    margin-top: 10px;
}


@keyframes pulse {
    0% { transform: scale(1); }
    50% { transform: scale(1.5); }
    100% { transform: scale(1); }
}

@keyframes blink-animation {
    0% { opacity: 1; }
    50% { opacity: 0; }
    100% { opacity: 1; }
}

.custom-audio-player {
    display: flex;
    align-items: center;
}

.play-pause-icon {
    width: 40px;
    height: 36px;
    border-radius: 50%;
    background-color: #8350de;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    cursor: pointer;
    font-size: 16px;
    margin-bottom: 30px;
    padding-left: 2px;
}

.audio-progress-container {
    display: flex;
    flex-direction: column;
    margin-left: 10px;
    width: 100%;
    margin-bottom: 30px;
}

.audio-progress-bar {
    position: relative;
    display: flex;
    align-items: flex-end;
    height: 40px;
    width: 100%;
    overflow: hidden;
}

.audio-bar {
    width: 1%;
    margin-right: 1%;
    background-color: #737373;
    transition: background-color 0.1s linear;
    border-radius: 20px;
}

.audio-time {
    margin-top: 13px;
    font-size: 12px;
    color: #fff;
}

a {
    color: gray;
}

a:visited {
    color: gray;
}

a:hover {
    color: gray;
}

a:active {
    color: gray;
}